Upstream information

CVE-2012-2737 at MITRE

Description

The user_change_icon_file_authorized_cb function in /usr/libexec/accounts-daemon in AccountsService before 0.6.22 does not properly check the UID when copying an icon file to the system cache directory, which allows local users to read arbitrary files via a race condition.

SUSE information

CVSS v2 Scores
  National Vulnerability Database
Base Score 1.85
Vector AV:L/AC:M/Au:N/C:P/I:N/A:N
Access Vector Local
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
SUSE Bugzilla entry: 768807 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 12
  • accountsservice >= 0.6.35-1.126
  • accountsservice-lang >= 0.6.35-1.126
  • libaccountsservice0 >= 0.6.35-1.126
  • typelib-1_0-AccountsService-1_0 >= 0.6.35-1.126
Patchnames:
SUSE Linux Enterprise Desktop 12 GA accountsservice
SUSE Linux Enterprise Desktop 12 SP1
  • accountsservice >= 0.6.35-3.10
  • accountsservice-lang >= 0.6.35-3.10
  • libaccountsservice0 >= 0.6.35-3.10
  • typelib-1_0-AccountsService-1_0 >= 0.6.35-3.10
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA accountsservice
SUSE Linux Enterprise Desktop 12 SP2
  • accountsservice >= 0.6.42-14.2
  • accountsservice-lang >= 0.6.42-14.2
  • libaccountsservice0 >= 0.6.42-14.2
  • typelib-1_0-AccountsService-1_0 >= 0.6.42-14.2
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA accountsservice
SUSE Linux Enterprise Server 12 SP2
  • accountsservice >= 0.6.42-14.2
  • accountsservice-lang >= 0.6.42-14.2
  • libaccountsservice0 >= 0.6.42-14.2
  • typelib-1_0-AccountsService-1_0 >= 0.6.42-14.2
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA accountsservice
openSUSE 13.2
  • accountsservice >= 0.6.38-2.1
  • libaccountsservice0 >= 0.6.38-2.1
  • typelib-1_0-AccountsService-1_0 >= 0.6.38-2.1
Patchnames:
openSUSE 13.2 GA accountsservice
openSUSE Leap 42.1
  • accountsservice >= 0.6.40-2.2
  • accountsservice-lang >= 0.6.40-2.2
  • libaccountsservice0 >= 0.6.40-2.2
  • typelib-1_0-AccountsService-1_0 >= 0.6.40-2.2
Patchnames:
openSUSE Leap 42.1 GA accountsservice
openSUSE Leap 42.2
  • accountsservice >= 0.6.42-4.2
  • accountsservice-lang >= 0.6.42-4.2
  • libaccountsservice0 >= 0.6.42-4.2
  • typelib-1_0-AccountsService-1_0 >= 0.6.42-4.2
Patchnames:
openSUSE Leap 42.2 GA accountsservice